WEBIDL2PAS-3.2.2(1)

NAME
webidl2pas-3.2.2 - WEB IDL to Pascal translator for Free Pascal Compiler (FPC)

SYNOPSIS
webidl2pas-3.2.2 [options]

DESCRIPTION
Where option is one or more of -h --help this help text -c --constexternal Write consts as external const (no value) -e --expandunionargs Add overloads for all Union typed function arguments -d --dicttoclass[=Parent] Write dictionaries as classes -i --input=FileName input webidl file -m --implementation=Filename include file as implementation -n --include=Filename include file at end of interface -o --output=FileName output file. Defaults to unit name with .pas extension appended. -p --optionsinheader add options to header of generated file -t --typealiases=alias A comma separated list of type aliases in Alias=Name form

    use @filename to load the aliases from file.

-u --unitname=Name name for unit. Defaults to input file without extension. -v --verbose Output some diagnostic information -w --webidlversion=V Set web IDL version. Allowed values: v1 or v2 -x --extra=units Extra units to put in uses clause (comma separated list)

SEE ALSO
The full documentation for webidl2pas-3.2.2 is maintained as a Texinfo manual. If the info and webidl2pas-3.2.2 programs are properly installed at your site, the command

    info webidl2pas-3.2.2

should give you access to the complete manual.